1.0.21Jへのアップデートでエラー  【解決済み】

質問全般・改善要望
アバター
tomophy
メンバー
メンバー
記事: 58
登録日時: 2011年4月21日(木) 09:29

1.0.21Jへのアップデートでエラー

投稿記事by tomophy » 2019年1月05日(土) 20:14

MODX Evo 1.0.19Jから1.0.21Jにアップデートしたところ、下記のエラーが表示されました。

Warning: Cannot modify header information - headers already sent by (output started at /virtual/mirai/public_html/modx.jp.net/manager/actions/header.inc.php:25) in /virtual/mirai/public_html/modx.jp.net/manager/includes/extenders/ex_subparser.php on line 375
« MODX Parse Error »
MODX encountered the following error while attempting to parse the requested resource:
« PHP Parse Error »
PHP error debug
Error : Cannot modify header information - headers already sent by (output started at /virtual/mirai/public_html/modx.jp.net/manager/actions/header.inc.php:25)
ErrorType[num] : WARNING[2]
File : /virtual/mirai/public_html/modx.jp.net/manager/includes/extenders/ex_subparser.php
Line : 375
Source : header('HTTP/1.1 500 Internal Server Error');
LastQuery : TRUNCATE TABLE `modx_system_cache`
Basic info
REQUEST_URI : /manager/index.php?a=17
Manager action : 17 - Editing settings
Referer : https://modx.jp.net/manager/index.php?a=2
User Agent : Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/71.0.3578.98 Safari/537.36
IP : 60.129.126.59
Benchmarks
MySQL : 0.0893 s (67 Requests)
PHP : 0.0225 s
Total : 0.1117 s
Memory : 1.48 MB

Backtrace

1 include_once()
manager/index.php on line 363
2 include_once()
manager/actions/tool/mutate_settings.dynamic.php on line 25
3 $modx->clearCache()
manager/includes/upgrades/upgrades.php on line 11
4 $modx->__call()
manager/includes/upgrades/upgrades.php on line 11
5 call_user_func_array()
manager/includes/document.parser.class.inc.php on line 100
6 SubParser->clearCache()
on line
7 synccache->emptyCache()
manager/includes/extenders/ex_subparser.php on line 233
8 $modx->purgeDBCache()
manager/includes/cache_sync.class.php on line 97
9 DBAPI->truncate()
manager/includes/document.parser.class.inc.php on line 344
10 DBAPI->query()
manager/includes/extenders/dbapi/mysqli.inc.php on line 830


なお、当該サイトのサーバ環境は以下のとおりです。

 ホスト&契約タイプ : CoreServer
 PHPバージョン : 5.6.38 ←7.1にアップデートするとエラーになるため、5.6からアップデートできずにいます。
 DB : MySQL5.7.24

解決策についてアドバイスいただいてもよろしいでしょうか。
アバター
yama
管理人
記事: 2991
登録日時: 2009年7月29日(水) 02:50

1.0.21Jへのアップデートでエラー  【解決済み】

投稿記事by yama » 2019年1月05日(土) 20:42

http://modx.jp/docs/update.html
念のための確認ですが、こちらのアップデート手順を行なった上で今回のエラーが発生していることだと思います。
だとすると、modx_system_cacheテーブルが作成できていないということのように思いますが、
それは確認できますでしょうか?もし難しければアップデータの処理をこちらで確認してみます。
アバター
tomophy
メンバー
メンバー
記事: 58
登録日時: 2011年4月21日(木) 09:29

1.0.21Jへのアップデートでエラー

投稿記事by tomophy » 2019年1月05日(土) 21:21

アドバイス頂きましてありがとうございます。
お知らせいただいたページのインストール手順で解決しました。
インストール手順を誤っていたためにエラーが生じていました。
アバター
yama
管理人
記事: 2991
登録日時: 2009年7月29日(水) 02:50

1.0.21Jへのアップデートでエラー

投稿記事by yama » 2019年1月05日(土) 21:32

返信ありがとうございます。手順どおりにアップデートを行なったかどうかを
判定する処理が必要とは考えていますので、参考にさせていただきます。